Bug 862832 - [abrt] owncloud-client-1.0.5-5.fc17: QThreadStorageData::get: Process /usr/bin/owncloud was killed by signal 11 (SIGSEGV)
[abrt] owncloud-client-1.0.5-5.fc17: QThreadStorageData::get: Process /usr/bi...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mirall (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joseph Marrero
Fedora Extras Quality Assurance
abrt_hash:a77bbacdfacf6be610ffdcab572...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 13:17 EDT by bugzilla-redhat
Modified: 2012-12-29 01:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-29 01:28:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.03 KB, text/plain)
2012-10-03 13:17 EDT, bugzilla-redhat
no flags Details
File: environ (1.47 KB, text/plain)
2012-10-03 13:17 EDT, bugzilla-redhat
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-03 13:17 EDT, bugzilla-redhat
no flags Details
File: backtrace (49.50 KB, text/plain)
2012-10-03 13:17 EDT, bugzilla-redhat
no flags Details
File: cgroup (127 bytes, text/plain)
2012-10-03 13:17 EDT, bugzilla-redhat
no flags Details
File: maps (70.89 KB, text/plain)
2012-10-03 13:17 EDT, bugzilla-redhat
no flags Details
File: dso_list (14.68 KB, text/plain)
2012-10-03 13:17 EDT, bugzilla-redhat
no flags Details
File: var_log_messages (2.23 KB, text/plain)
2012-10-03 13:17 EDT, bugzilla-redhat
no flags Details
File: open_fds (1.63 KB, text/plain)
2012-10-03 13:17 EDT, bugzilla-redhat
no flags Details

  None (edit)
Description bugzilla-redhat 2012-10-03 13:17:23 EDT
Version-Release number of selected component:
owncloud-client-1.0.5-5.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        owncloud
crash_function: QThreadStorageData::get
kernel:         3.5.4-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (9 frames)
: #0 QThreadStorageData::get at thread/qthreadstorage.cpp:125
: #1 qThreadStorage_localData<QIconvCodec::IconvState> at ../../src/corelib/thread/qthreadstorage.h:76
: #2 localData at ../../src/corelib/thread/qthreadstorage.h:150
: #3 QIconvCodec::convertFromUnicode at codecs/qiconvcodec.cpp:349
: #4 QTextCodec::fromUnicode at codecs/qtextcodec.cpp:1375
: #5 QString::toLocal8Bit at tools/qstring.cpp:3767
: #6 ~QDebug at /usr/include/QtCore/qdebug.h:85
: #7 Mirall::CSyncThread::run at /usr/src/debug/mirall-1.0.5/src/mirall/csyncthread.cpp:264
: #8 QThreadPrivate::start at thread/qthread_unix.cpp:307
Comment 1 bugzilla-redhat 2012-10-03 13:17:27 EDT
Created attachment 621034 [details]
File: core_backtrace
Comment 2 bugzilla-redhat 2012-10-03 13:17:29 EDT
Created attachment 621035 [details]
File: environ
Comment 3 bugzilla-redhat 2012-10-03 13:17:32 EDT
Created attachment 621036 [details]
File: limits
Comment 4 bugzilla-redhat 2012-10-03 13:17:34 EDT
Created attachment 621037 [details]
File: backtrace
Comment 5 bugzilla-redhat 2012-10-03 13:17:36 EDT
Created attachment 621038 [details]
File: cgroup
Comment 6 bugzilla-redhat 2012-10-03 13:17:39 EDT
Created attachment 621039 [details]
File: maps
Comment 7 bugzilla-redhat 2012-10-03 13:17:41 EDT
Created attachment 621040 [details]
File: dso_list
Comment 8 bugzilla-redhat 2012-10-03 13:17:44 EDT
Created attachment 621041 [details]
File: var_log_messages
Comment 9 bugzilla-redhat 2012-10-03 13:17:46 EDT
Created attachment 621042 [details]
File: open_fds
Comment 10 Joseph Marrero 2012-10-14 03:22:41 EDT
New Version of mirall/owncloudclient and owncloud-csync has been released, currently I am testing it in my machine, In a about two days it should be in the testing repositories. 

SO far all sagfault errors have been corrected, the bad news is that the new sync client only works with owncloud server 4.5 and up.

So if you are in a owncloud server < 4.5 you should stick with the current owncloud client until the 1.1 version works with the older servers or you upgrade to 4.5 owncloud.
Comment 11 Fedora Update System 2012-10-14 19:10:59 EDT
mirall-1.1.0-1.fc17,owncloud-csync-0.60.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mirall-1.1.0-1.fc17,owncloud-csync-0.60.0-1.fc17
Comment 12 Fedora Update System 2012-10-14 19:17:19 EDT
mirall-1.1.0-1.fc18,owncloud-csync-0.60.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mirall-1.1.0-1.fc18,owncloud-csync-0.60.0-1.fc18
Comment 13 Fedora Update System 2012-10-15 13:35:56 EDT
Package mirall-1.1.0-1.fc18, owncloud-csync-0.60.0-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mirall-1.1.0-1.fc18 owncloud-csync-0.60.0-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16122/mirall-1.1.0-1.fc18,owncloud-csync-0.60.0-1.fc18
then log in and leave karma (feedback).
Comment 14 Joseph Marrero 2012-10-19 09:01:35 EDT
New version released upstream you should have it by Sunday/monday in the testing repos.

> The most important changes:
>
> * [GUI] Allow changing folder name in single folder mode
> * [GUI] Windows: Add license to installer
> * [GUI] owncloud ?logwindow will bring up the log window in an already running instance
> * [Fixes] Make sure SSL errors are always handled
> * [Fixes] Allow special characters in folder alias
> * [Fixes] Proper workaround for Menu bug in Ubuntu
> * [Fixes] csync: Fix improper memory cleanup which could cause memory leaks and crashes
> * [Fixes] csync: Fix memory leak
> * [Fixes] csync: Allow single quote (?) in file names
> * [Fixes] csync: Remove stray temporary files

I hope this fixes the new crashes
Comment 15 Fedora Update System 2012-10-19 22:35:26 EDT
owncloud-csync-0.60.1-1.fc17,mirall-1.1.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/owncloud-csync-0.60.1-1.fc17,mirall-1.1.1-1.fc17
Comment 16 Fedora Update System 2012-10-19 22:37:45 EDT
owncloud-csync-0.60.1-1.fc18,mirall-1.1.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/owncloud-csync-0.60.1-1.fc18,mirall-1.1.1-1.fc18
Comment 17 Fedora Update System 2012-12-08 22:46:04 EST
owncloud-csync-0.60.3-1.fc18,mirall-1.1.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/owncloud-csync-0.60.3-1.fc18,mirall-1.1.3-1.fc18
Comment 18 Fedora Update System 2012-12-20 21:51:56 EST
owncloud-csync-0.60.4-1.fc17,mirall-1.1.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/owncloud-csync-0.60.4-1.fc17,mirall-1.1.4-1.fc17
Comment 19 Fedora Update System 2012-12-29 01:28:18 EST
owncloud-csync-0.60.4-1.fc17, mirall-1.1.4-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.